<?php 
	require_once 'mobilize/Mobile_Detect.php';
	$detect = new Mobile_Detect;
	
	%[if %("%id=config%" == "mobile_config")% ]%
		%[if %("%id=mobile_config_redirect_tablets%" == "true")% ]%
		// If tablet
		if ($detect->isTablet()) {
		    header('Location: %id=mobile_config_tablet_href%');
		    exit;
		}
		%[endif]%
		
		%[if %("%id=mobile_config_redirect_desktops%" == "true")% ]%
		// If not-equal to mobile (e.g. desktop)
		if (!$detect->isMobile()) {
		    header('Location: %id=mobile_config_desktop_href%');
		    exit;
		}
		%[endif]%
	%[endif]%
	
	%[if %("%id=config%" == "tablet_config")% ]%
		%[if %("%id=tablet_config_redirect_mobiles%" == "true")% ]%
		// If mobile but not tablet
		if( $detect->isMobile() && !$detect->isTablet() ){
		    header('Location: %id=tablet_config_mobile_href%');
		    exit;
		}
		%[endif]%
		
		// If not mobile
		if (!$detect->isMobile()) {
			header('Location: %id=tablet_config_desktop_href%');
			exit;
		}
	%[endif]%
	
	%[if %("%id=config%" == "desktop_config")% ]%
		%[if %("%id=desktop_config_redirect_mobiles%" == "true")% ]%
		// If mobile but not tablet
		if( $detect->isMobile() && !$detect->isTablet() ){
		    header('Location: %id=desktop_config_mobile_href%');
		    exit;
		}
		%[endif]%
		
		%[if %("%id=desktop_config_redirect_tablets%" == "true")% ]%
		// If tablet
		if ($detect->isTablet()) {
		    header('Location: %id=desktop_config_tablet_href%');
		    exit;
		}
		%[endif]%
	%[endif]%
?>